apiVersion: v1
kind: Secret
metadata:
  name: cb-example-auth
type: Opaque
data:
  username: QWRtaW5pc3RyYXRvcg== # Administrator
  password: cGFzc3dvcmQ=         # password
---
apiVersion: couchbase.com/v2
kind: CouchbaseCluster
metadata:
  name: cb-example
spec:
  image: couchbase/server:7.2.0
  cluster:
    dataServiceMemoryQuota: 1200Mi
  security:
    adminSecret: cb-example-auth
  buckets:
    managed: true 
  servers:
  - size: 1
    name: kv_q_i
    services:
    - data
    - index
    - query
---
apiVersion: couchbase.com/v2
kind: CouchbaseBucket
metadata:
  name: magma-history-bucket
spec:
  compressionMode: passive
  conflictResolution: seqno
  enableIndexReplica: false
  evictionPolicy: fullEviction
  ioPriority: low
  memoryQuota: 1024Mi
  replicas: 0
  storageBackend: magma  